Bug 90413 - hp 990cse pagination problems
hp 990cse pagination problems
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: foomatic (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-07 17:09 EDT by Need Real Name
Modified: 2007-04-18 12:53 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-02 13:54:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
printconf-tue --Xexport>prconf (8.00 KB, text/plain)
2003-05-22 10:42 EDT, Need Real Name
no flags Details

  None (edit)
Description Need Real Name 2003-05-07 17:09:17 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3; Linux)

Description of problem:
Pagination using driver cdj970 works under redhat 7.3, and 8.0
but under redhat 9 it does not.
I created a text file with 130 lines then
cat -n text.txt | pr | lp

with the same driver and same set of driver options, under redhat 9
the page titles don't end up on the tops of the pages.

hpijs under redhat 8.0 doesn't seem to work, it prints the header line over and over.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.create a plain text file with over 100 lines
2. cat -n test.txt | pr | lp
3. relax and watch the printer get confused.
    

Actual Results:  The page heading is at the end of the first page.


Expected Results:  Page headings on the top of the page.

Additional info:

I've tried using the same options on rh 7.3, rh 8.0, and rh9.
no luck,  I tried adding 'insert form feed', no luck,  I tried
adding send EOT, no luck.
Comment 1 Tim Waugh 2003-05-08 04:32:40 EDT
I'm not really sure there is a bug here: have you set the lines-per-inch correct
in the 'queue options' tab of the printer config tool?

If you want to print ASCII directly to the printer, use -oraw; and in that case,
you'll probably want to add ASCII FF characters in the appropriate places if
using fewer lines than the printer supports, etc.
Comment 2 Need Real Name 2003-05-08 11:40:18 EDT
I left all the settings under the"queue options" tab alone.  
I just now measured the lp/inch and cpi and they match the default values.  
I tried # cat -n test.txt|pr|lpr -oraw   
just now(assume thats what you meant).   
It printed a heading on the first page, then ejected it  
and printed a blank page (the heading time and date were correct so  
I know it ain't something left over...).  The character size was much larger  
than my tests.  
 
Humm, I just tried printing with kde's kate and it worked fine. 
 
so how come it works ok on 7.3 and 8.0. 
I'm using a networked printer and have three different systems at these 
levels. 
 
tnx for your help/reply. 
 
v 
  
  
  
  
Comment 3 Need Real Name 2003-05-08 12:22:51 EDT
Ok, I admit it, I'm an old unix user.  How do you suggest I print 
a simple text file? 
 
v 
Comment 4 Tim Waugh 2003-05-09 04:50:20 EDT
(When using -oraw, you'll need to do CRLF translation yourself; that probably
explains the blank pages you were seeing.)

Perhaps I'm misunderstanding what you mean by 'page headings'; I'm assuming you
mean some lines in the text file you want to print that you intend to appear on
the first line of the page.  Is that not the case?

If you want some specific number of lines to fit on a page, alter the 'lpi'
value appropriately.  Or just use mpage or a2ps to do it.

So I'm still not quite sure what the bug is here.
Comment 5 Need Real Name 2003-05-09 09:11:37 EDT
cat <somefile>|pr|lp   
   
pr adds pagination with a header line, on our solaris boxes at work, I use   
this to print simple text files going directly to a postscrip capable printer.   
The default header for 'pr' is   
date							page no   
   
I was assuming that it added a 'ff' at the end of each page.  Got to run, 
will do some more investigation here later today. 
 
v 
 
Comment 6 Tim Waugh 2003-05-09 10:09:10 EDT
Ah, I see, it's the 'pr' bit I was overlooking.

To get it to use form-feeds to separate pages use 'pr -F'.  Alternatively, to
teach it that each page can hold 74 lines (true with A4 at 7 lines per inch),
'pr -l 74'.

So the question now is: why doesn't it just work with no arguments?  Two
possible culprits:

- perhaps pr should default to using form feeds
- perhaps the printer configuration tool should set it up so that 66 lines fit
on a page

Incidentally, in the printer configuration tool if you leave lpi at 7 but change
page-top to 72 and page-bottom to 86, that works out at 66 lines per page.

Comment 7 Tim Waugh 2003-05-09 10:23:57 EDT
I've modified redhat-config-printer to set page sizes to 80 chars/line and 66
lines/page.  Will be in 0.6.54-1 in rawhide.
Comment 8 Need Real Name 2003-05-09 22:46:24 EDT
I tried pr -F, that  worked. 
I decided to try setting page-top and page-bottom as you suggested... OUCH. 
now the printers are really dorked <tm> 
 
the redhat-config-printer does the apply ok, but gerates some error message, 
I tried service lpd restart and get 
 
Stopping lpd:		[ ok ] 
Starting lpd: warning - hp: 'no :rm, :lp, or: sv entry' 
 
now there is no default.  lp test.txt fails with 
lp: error - no default destination available. 
 
lp -d hp test.txt 
fails with 
lp: unable to print file: server-error-service-unavailable 
 
I wandered around and found a mess in /etc/cups 
cups.conf had several old printers that I had created and then deleted 
(with redhat-config-printer). 
lpoptions had several entries for printers I had created, then deleted 
(with redhat-config-printer). 
printers.conf had several printers marked  as default 
<DefaultPrinter hp> 
blah 
blah 
 
and then later on another 
<DefaultPrinter hp2> 
blah 
blah 
 
 
 
Comment 9 Tim Waugh 2003-05-10 17:00:58 EDT
'service lpd restart' is for LPRng; but you are using CUPS (a different
spooler).  Solution: don't use 'service lpd restart'.  To restart cups, use
'service cups restart'.

> the redhat-config-printer does the apply ok, but gerates some error message

What exactly does the message say?
Comment 10 Need Real Name 2003-05-16 10:16:47 EDT
I'm back.  I tried setting the top and bottom margins at 72, and 86 and didn't  
get any errors this time.  Maybe the errors came from the junk that I removed. 
The margins you suggested were too big, I tried page-top=48 
page-bottom=56 and it now works ok. 
 
Humm, I'm having some success with the hpijs driver where I had none b4. 
I turned on Prerender postscript and assume unknowndatais text, now 
cat -n text.txt | pr | lp works. 
 
I'm trying out mpage per your earlier recommendation.  It drops 
several lines at the end.   Apparmently when one sends postscript the 
queue options don't apply? 
 
v 
Comment 11 Tim Waugh 2003-05-16 10:51:00 EDT
> The margins you suggested were too big, I tried page-top=48 
> page-bottom=56 and it now works ok. 

Meaning you got fewer than 66 lines on the page?  Did you have lpi=7?

Yes, these options only apply when you send plain text.
Comment 12 Need Real Name 2003-05-16 13:46:35 EDT
Yes, lpi still set to 7. 
I don't know what you mean "fewer than 66"? 
pr defaults to 66 lines/page but only 56 lines of text, the rest 
margins and header, I guess.  when I: 
cat -n text.txt | pr | lp 
it prints a header line, skips 2 lines, then prints 56 lines of text. 
 
 
 
 
The info page for pr, says it prints 2 blank lines, a date/file line, two more 
blank 
lines, then 56 lines of text which is what I'm seeing with 
top margin=36,bottom margin=36,lpi=7 
page-top=48,page-bottom=56.  Makes no sense to me? 
 
I did a simple cat -n|lp and I get 66 lines printed 
7 lpi,  
Comment 13 Tim Waugh 2003-05-21 08:07:00 EDT
How odd.  With your settings I get 71 lines from on a page (from 'seq 1 100 | lpr').

Do you have 'scaling' at 100?  Could you please attach the configuration you
have (printconf-tui --Xexport >config)?  Thanks.
Comment 14 Need Real Name 2003-05-22 10:42:19 EDT
Created attachment 91895 [details]
printconf-tue --Xexport>prconf

here is the doc you asked for.

Would you confirm... in the print config tool,
in queue options, it has imageable area... this is for non-text printing?
and the other section is for text printing?


btw, I	like your method (seq 1 100|lp) better than mine,
so many tools, so much fun :-)

Vince
Comment 15 Tim Waugh 2003-05-22 11:05:48 EDT
Actually the imageable area margins are there for when page-top etc options are
not present, it seems.  The effect of adjusting the imageable area is to
actually change the PPD file (which other applications might use); page-top et
al are for the CUPS text-to-PS filter.

I think we'll have to put the difference down to fonts or something.  I've fixed
a bug in the config tool so that you can use floating point numbers for
lines-per-inch (oops), so that should make adjustments easier.

I'll leave this open for the time being.
Comment 16 Bill Nottingham 2006-08-05 00:19:34 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 18 Bill Nottingham 2007-01-02 13:54:57 EST
Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
f you are currently still running Red Hat Linux 7.3 or 9, you are strongly
advised to upgrade to a current Fedora Core release or Red Hat Enterprise Linux
or comparable. Some information on which option may be right for you is
available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.